# $Revision: 1.4 $, $Date: 2005/01/16 17:47:55 $
# TODO
#  - Group? KDE-Group(s)?
Summary:	KSubtile, a SRT subtitle editor
Summary(pl):	KSubtile - edytor napisw SRT
Name:		ksubtile
Version:	1.1_2
Release:	1
License:	GPL
Group:		Applications/Editors
Source0:	http://dl.sourceforge.net/ksubtile/%{name}_%(echo %{version} | tr _ -).tar.bz2
# Source0-md5:	5b71edd3f9de49f9723612053f3aec8b
URL:		http://ksubtile.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	kdelibs-devel >= 9:3.2.0
BuildRequires:	rpmbuild(macros) >= 1.129
BuildRequires:	unsermake >= 040805
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is an editor for the KDE environment to edit, make and save
subtitles in the SRT subtitle format.

%description -l pl
Ten program jest edytorem dla rodowiska KDE sucym do
modyfikowania, tworzenia i zapisywania napisw w formacie SRT.

%prep
%setup -q -n %{name}-%(echo %{version} | cut -d_ -f1)

%{__sed} -i -e 's/Terminal=0/Terminal=false/' src/*.desktop
echo "Categories=Qt;KDE;Utility;" >> src/%{name}.desktop

%build
cp -f /usr/share/automake/config.sub admin
export UNSERMAKE=/usr/share/unsermake/unsermake
#{__make} -f admin/Makefile.common cvs

%configure \
%if "%{_lib}" == "lib64"
	--enable-libsuffix=64 \
%endif
	--%{?debug:en}%{!?debug:dis}able-debug%{?debug:=full} \
	--with-qt-libraries=%{_libdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_pixmapsdir},%{_desktopdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	kde_htmldir=%{_kdedocdir} \
	kde_libs_htmldir=%{_kdedocdir} \
	kdelnkdir=%{_desktopdir} \

%find_lang %{name} --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%{_iconsdir}/*/*/apps/%{name}.png
%{_desktopdir}/*
%{_datadir}/mimelnk/application/*
%{_datadir}/apps/%{name}

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ksubtile.spec,v $
Revision 1.4  2005/01/16 17:47:55  glen
- works. rel 1. STBR

Revision 1.3  2005/01/16 16:59:15  glen
- english

Revision 1.2  2005/01/16 16:41:16  qboosh
- pl, distfiles-friendly tr usage

Revision 1.1  2005/01/16 16:31:43  glen
- another subtitle editor (.srt only)
